View Issue Details

IDProjectCategoryView StatusLast Update
0004446Slicer4Core: Extensionspublic2018-02-04 21:32
ReporterjcfrAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionSlicer 4.9.0Fixed in Version 
Summary0004446: Opening extension manager in Qt5 build reports a lot of warnings: has no notify signal and is not constant, value updates in HTM
Description
Property 'numberOfInstalledExtensions'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!
Property 'installedExtensions'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!
Property 'enabledExtensions'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!
Property 'serverUrl'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!
Property 'serverUrlWithPackagePath'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!
Property 'serverUrlWithExtensionsStorePath'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!
Property 'extensionsInstallPath'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!
[...]
TagsNo tags attached.

Relationships

related to 0004503 closedjohan.andruejol Empty popup dialog and on Slicer startup with Qt5 

Activities

dzenanz

dzenanz

2018-01-26 17:14

developer   ~0015500

This is resurfacing for me in SPT using hash e671f96779ae773c41fcad36e2f45a159aaa50f7.

Property 'numberOfInstalledExtensions'' of object 'qSlicerExtensionsManagerModel' has no notify signal and is not constant, value updates in HTML will be broken!

jcfr

jcfr

2018-02-02 21:54

administrator   ~0015505

Warnings associated with object qSlicerExtensionsManagerModel are fixed in r26881

Remaining warnings associated with qSlicerExtensionsInstallWidget will be fixed in a follow up commit.

jcfr

jcfr

2018-02-04 21:32

administrator   ~0015507

Remaining warnings are fixed in r26884 and r26885

Issue History

Date Modified Username Field Change
2017-09-29 11:33 jcfr New Issue
2017-09-29 11:33 jcfr Status new => assigned
2017-09-29 11:33 jcfr Assigned To => jcfr
2018-01-26 17:14 dzenanz Note Added: 0015500
2018-02-02 09:10 pinter Relationship added related to 0004503
2018-02-02 21:54 jcfr Note Added: 0015505
2018-02-04 21:32 jcfr Status assigned => resolved
2018-02-04 21:32 jcfr Resolution open => fixed
2018-02-04 21:32 jcfr Note Added: 0015507